## libcsfml 2.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)

# define a macro that helps defining an option
macro(csfml_set_option var default type docstring)
    if(NOT DEFINED ${var})
        set(${var} ${default})
    endif()
    set(${var} ${${var}} CACHE ${type} ${docstring} FORCE)
endmacro()

# set a default build type if none was provided
# this has to be done before the project() instruction!
csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")

# project name
project(CSFML)

# include the configuration file
include(${CMAKE_SOURCE_DIR}/cmake/Config.cmake)

# setup version numbers
set(VERSION_MAJOR 2)
set(VERSION_MINOR 4)
set(VERSION_PATCH 0)

# add the CSFML header path
include_directories(${CMAKE_SOURCE_DIR}/include)

# add an option for choosing the build type (shared or static)
csfml_set_option(BUILD_SHARED_LIBS TRUE BOOL "TRUE to build CSFML as shared libraries, FALSE to build it as static libraries")

# add an option for building the API documentation
csfml_set_option(CSFML_BUILD_DOC FALSE BOOL "TRUE to generate the API documentation, FALSE to ignore it")

# add an option for linking to sfml either statically or dynamically
csfml_set_option(CSFML_LINK_SFML_STATICALLY TRUE BOOL "TRUE to link to a static version of SFML, FALSE to link dynamically")

# disable the rpath stuff
set(CMAKE_SKIP_BUILD_RPATH TRUE)

# define an option for choosing between static and dynamic C runtime (Windows only)
if(SFML_OS_WINDOWS)
    set(STATIC_STD_LIBS FALSE CACHE BOOL "TRUE to statically link to the standard libraries, FALSE to use them as DLLs")
    
    # for VC++, we can apply it globally by modifying the compiler flags
    if(SFML_COMPILER_MSVC AND STATIC_STD_LIBS)
        foreach(flag
                CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
                CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
            if(${flag} MATCHES "/MD")
                string(REGEX REPLACE "/MD" "/MT" ${flag} "${${flag}}")
            endif()
        endforeach()
    endif()
endif()

# add the subdirectories
add_subdirectory(src/SFML)
if(CSFML_BUILD_DOC)
    add_subdirectory(doc)
endif()

# setup the install rules
install(DIRECTORY include
        DESTINATION .
        COMPONENT devel
        PATTERN ".svn" EXCLUDE)
install(FILES license.txt DESTINATION ${INSTALL_MISC_DIR})
install(FILES readme.txt DESTINATION ${INSTALL_MISC_DIR})

=== doc/CMakeLists.txt ===

# find doxygen
find_package(Doxygen REQUIRED)

# set the input and output documentation paths
set(DOXYGEN_INPUT_DIR ${CMAKE_SOURCE_DIR})
set(DOXYGEN_OUTPUT_DIR ${CMAKE_BINARY_DIR}/doc)

# see if we can generate the CHM documentation
if(SFML_OS_WINDOWS)
    # if HHC is found, we can generate the CHM (compressed HTML) output
    find_program(DOXYGEN_HHC_PROGRAM
                 NAMES hhc.exe
                 PATHS "c:/Program Files/HTML Help Workshop"
                 DOC "HTML Help Compiler program")
    if(DOXYGEN_HHC_PROGRAM)
        set(DOXYGEN_GENERATE_HTMLHELP YES)
    else()
        set(DOXYGEN_GENERATE_HTMLHELP NO)
    endif()
else()
    set(DOXYGEN_HHC_PROGRAM)
    set(DOXYGEN_GENERATE_HTMLHELP NO)
endif()

# configure the source Doxyfile by copying it and replacing all @variables@
set(DOXYGEN_CONFIGURED_INPUT ${DOXYGEN_OUTPUT_DIR}/doxyfile)
configure_file(${DOXYGEN_INPUT_DIR}/doc/doxyfile.in ${DOXYGEN_CONFIGURED_INPUT} @ONLY)

# copy the files needed by the documentation
configure_file(${DOXYGEN_INPUT_DIR}/doc/doxygen.css ${DOXYGEN_OUTPUT_DIR}/html/doxygen.css COPYONLY)

# target setup
add_custom_target(doc ALL
                  COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
                  COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_CONFIGURED_INPUT}
                  COMMAND ${CMAKE_COMMAND} -E echo "Done."
                  WORKING_DIRECTORY ${DOXYGEN_INPUT_DIR})

# setup install rules
install(DIRECTORY ${DOXYGEN_OUTPUT_DIR}/html
        DESTINATION ${INSTALL_MISC_DIR}/doc
        COMPONENT doc)
if(DOXYGEN_HHC_PROGRAM)
    install(FILES ${DOXYGEN_OUTPUT_DIR}/CSFML.chm
            DESTINATION ${INSTALL_MISC_DIR}/doc
            COMPONENT doc)
endif()

=== src/SFML/CMakeLists.txt ===

# include the SFML specific macros
include(${CMAKE_SOURCE_DIR}/cmake/Macros.cmake)

# add the CSFML sources path
include_directories(${CMAKE_SOURCE_DIR}/src)

# set the output directory for CSFML libraries
set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib")

# define the export symbol
add_definitions(-DCSFML_EXPORTS)

# disable stupid warnings with Visual C++
if(SFML_COMPILER_MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

# find SFML libraries (C++)
if(SFML_OS_WINDOWS)
    if (CSFML_LINK_SFML_STATICALLY)
        set(SFML_STATIC_LIBRARIES TRUE)
        add_definitions(-DSFML_STATIC)
    endif()
endif()
find_package(SFML 2 COMPONENTS system window network graphics audio REQUIRED)
include_directories(${SFML_INCLUDE_DIR})

# add the modules subdirectories
add_subdirectory(System)
add_subdirectory(Window)
add_subdirectory(Network)
add_subdirectory(Graphics)
add_subdirectory(Audio)
if(SFML_OS_WINDOWS)
    add_subdirectory(Main)
endif()

=== src/SFML/Audio/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Audio)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Audio)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Listener.cpp
    ${INCROOT}/Listener.h
    ${SRCROOT}/Music.cpp
    ${SRCROOT}/MusicStruct.h
    ${INCROOT}/Music.h
    ${SRCROOT}/Sound.cpp
    ${SRCROOT}/SoundStruct.h
    ${INCROOT}/Sound.h
    ${SRCROOT}/SoundBuffer.cpp
    ${SRCROOT}/SoundBufferStruct.h
    ${INCROOT}/SoundBuffer.h
    ${SRCROOT}/SoundBufferRecorder.cpp
    ${SRCROOT}/SoundBufferRecorderStruct.h
    ${INCROOT}/SoundBufferRecorder.h
    ${SRCROOT}/SoundRecorder.cpp
    ${SRCROOT}/SoundRecorderStruct.h
    ${INCROOT}/SoundRecorder.h
    ${INCROOT}/SoundStatus.h
    ${SRCROOT}/SoundStream.cpp
    ${SRCROOT}/SoundStreamStruct.h
    ${INCROOT}/SoundStream.h
    ${INCROOT}/Types.h
)

# define the csfml-audio target
csfml_add_library(csfml-audio
                  SOURCES ${SRC}
                  DEPENDS ${SFML_AUDIO_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_AUDIO_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})

=== src/SFML/Network/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Network)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Network)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Ftp.cpp
    ${SRCROOT}/FtpStruct.h
    ${INCROOT}/Ftp.h
    ${SRCROOT}/Http.cpp
    ${SRCROOT}/HttpStruct.h
    ${INCROOT}/Http.h
    ${SRCROOT}/IpAddress.cpp
    ${INCROOT}/IpAddress.h
    ${SRCROOT}/Packet.cpp
    ${SRCROOT}/PacketStruct.h
    ${INCROOT}/Packet.h
    ${SRCROOT}/SocketSelector.cpp
    ${SRCROOT}/SocketSelectorStruct.h
    ${INCROOT}/SocketSelector.h
    ${INCROOT}/SocketStatus.h
    ${SRCROOT}/TcpListener.cpp
    ${SRCROOT}/TcpListenerStruct.h
    ${INCROOT}/TcpListener.h
    ${SRCROOT}/TcpSocket.cpp
    ${SRCROOT}/TcpSocketStruct.h
    ${INCROOT}/TcpSocket.h
    ${INCROOT}/Types.h
    ${SRCROOT}/UdpSocket.cpp
    ${SRCROOT}/UdpSocketStruct.h
    ${INCROOT}/UdpSocket.h
)

# define the csfml-network target
csfml_add_library(csfml-network
                  SOURCES ${SRC}
                  DEPENDS ${SFML_NETWORK_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_NETWORK_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})

=== src/SFML/System/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/System)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/System)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Clock.cpp
    ${SRCROOT}/ClockStruct.h
    ${INCROOT}/Clock.h
    ${INCROOT}/InputStream.h
    ${SRCROOT}/Mutex.cpp
    ${SRCROOT}/MutexStruct.h
    ${INCROOT}/Mutex.h
    ${SRCROOT}/Sleep.cpp
    ${INCROOT}/Sleep.h
    ${SRCROOT}/Thread.cpp
    ${SRCROOT}/ThreadStruct.h
    ${INCROOT}/Thread.h
    ${SRCROOT}/Time.cpp
    ${INCROOT}/Time.h
    ${INCROOT}/Types.h
    ${INCROOT}/Vector2.h
    ${INCROOT}/Vector3.h
)

# define the csfml-system target
csfml_add_library(csfml-system
                  SOURCES ${SRC}
                  DEPENDS ${SFML_SYSTEM_LIBRARY} ${SFML_SYSTEM_DEPENDENCIES})

=== src/SFML/Window/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Window)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Window)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Context.cpp
    ${SRCROOT}/ContextSettingsInternal.h
    ${SRCROOT}/ContextStruct.h
    ${INCROOT}/Context.h
    ${INCROOT}/Event.h
    ${SRCROOT}/Joystick.cpp
    ${INCROOT}/Joystick.h
    ${INCROOT}/JoystickIdentification.h
    ${SRCROOT}/Keyboard.cpp
    ${INCROOT}/Keyboard.h
    ${SRCROOT}/Mouse.cpp
    ${INCROOT}/Mouse.h
    ${SRCROOT}/Sensor.cpp
    ${INCROOT}/Sensor.h
    ${SRCROOT}/Touch.cpp
    ${INCROOT}/Touch.h
    ${INCROOT}/Types.h
    ${SRCROOT}/VideoMode.cpp
    ${INCROOT}/VideoMode.h
    ${SRCROOT}/Window.cpp
    ${SRCROOT}/WindowStruct.h
    ${INCROOT}/Window.h
    ${INCROOT}/WindowHandle.h
)

# define the csfml-window target
csfml_add_library(csfml-window
                  SOURCES ${SRC}
                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_WINDOW_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})

=== debian/changelog ===
libcsfml (2.4-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Jun 2017 10:43:21 +0100

libcsfml (2.4-1) experimental; urgency=medium

  * New upstream version.
    - Bump SFML build dependency to 2.4.
    - Rename packages for SONAME bump.
    - Update symbols files for 2.4.

  * debian/control:
    - Use debhelper compat 10.
    - Run wrap-and-sort -s.
  * debian/rules:
    - Remove obsolete dh_strip override.

 -- James Cowgill <jcowgill@debian.org>  Fri, 03 Mar 2017 23:34:44 +0000

=== debian/control ===
Source: libcsfml
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake (>= 2.8.9),
 debhelper (>= 10),
 doxygen,
 libsfml-dev (>= 2.4)
Standards-Version: 4.0.0
Homepage: http://www.sfml-dev.org
Vcs-Git: https://anonscm.debian.org/git/pkg-games/libcsfml.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libcsfml.git
Testsuite: autopkgtest

Package: libcsfml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcsfml-audio2.4 (= ${binary:Version}),
 libcsfml-graphics2.4 (= ${binary:Version}),
 libcsfml-network2.4 (= ${binary:Version}),
 libcsfml-system2.4 (= ${binary:Version}),
 libcsfml-window2.4 (= ${binary:Version}),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 ${misc:Depends}
Suggests: libcsfml-doc
Description: Libraries for the C Binding of SFML - Development Files
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package provides the development files for the C Binding

Package: libcsfml-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: Libraries for the C Binding of SFML - Documentation
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package includes documentation for all CSFML libraries.

Package: libcsfml-audio2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Audio Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Audio library is used to play sound and music in games. It is able to
 load OGG/Vorbis files.

Package: libcsfml-graphics2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Graphics Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Graphics library contains all the OpenGL and drawing code. It needs the
 Window library for Window creation.

Package: libcsfml-system2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - System Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The system library brings useful system utilities like multithreading and
 UNICODE handling

Package: libcsfml-network2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Network Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Network Library brings basic networking support as needed by games.

Package: libcsfml-window2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Window Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Window library provides basic utilities for creating and managing Windows

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCSFML_BUILD_DOC=ON \
		-DCMAKE_MODULE_PATH=/usr/share/SFML/cmake/Modules

override_dh_auto_build:
	dh_auto_build -- all doc

## libcsfml 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 # setup version numbers
 set(VERSION_MAJOR 2)
-set(VERSION_MINOR 4)
+set(VERSION_MINOR 5)
 set(VERSION_PATCH 0)
 
 # add the CSFML header path
@@ -34,7 +34,13 @@
 csfml_set_option(CSFML_BUILD_DOC FALSE BOOL "TRUE to generate the API documentation, FALSE to ignore it")
 
 # add an option for linking to sfml either statically or dynamically
-csfml_set_option(CSFML_LINK_SFML_STATICALLY TRUE BOOL "TRUE to link to a static version of SFML, FALSE to link dynamically")
+# default on windows to static and on other platforms to dynamic
+if(SFML_OS_WINDOWS)
+    set(LINK_STATICALLY_DEFAULT TRUE)
+else()
+    set(LINK_STATICALLY_DEFAULT FALSE)
+endif()
+csfml_set_option(CSFML_LINK_SFML_STATICALLY ${LINK_STATICALLY_DEFAULT} BOOL "TRUE to link to a static version of SFML, FALSE to link dynamically")
 
 # disable the rpath stuff
 set(CMAKE_SKIP_BUILD_RPATH TRUE)
@@ -42,7 +48,7 @@
 # define an option for choosing between static and dynamic C runtime (Windows only)
 if(SFML_OS_WINDOWS)
     set(STATIC_STD_LIBS FALSE CACHE BOOL "TRUE to statically link to the standard libraries, FALSE to use them as DLLs")
-    
+
     # for VC++, we can apply it globally by modifying the compiler flags
     if(SFML_COMPILER_MSVC AND STATIC_STD_LIBS)
         foreach(flag

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
     # if HHC is found, we can generate the CHM (compressed HTML) output
     find_program(DOXYGEN_HHC_PROGRAM
                  NAMES hhc.exe
-                 PATHS "c:/Program Files/HTML Help Workshop"
+                 PATHS "C:/Program Files/HTML Help Workshop" "C:/Program Files (x86)/HTML Help Workshop"
                  DOC "HTML Help Compiler program")
     if(DOXYGEN_HHC_PROGRAM)
         set(DOXYGEN_GENERATE_HTMLHELP YES)

=== src/SFML/CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,11 @@
 endif()
 
 # find SFML libraries (C++)
-if(SFML_OS_WINDOWS)
-    if (CSFML_LINK_SFML_STATICALLY)
-        set(SFML_STATIC_LIBRARIES TRUE)
-        add_definitions(-DSFML_STATIC)
-    endif()
+if(CSFML_LINK_SFML_STATICALLY)
+    set(SFML_STATIC_LIBRARIES TRUE)
+    add_definitions(-DSFML_STATIC)
 endif()
-find_package(SFML 2 COMPONENTS system window network graphics audio REQUIRED)
-include_directories(${SFML_INCLUDE_DIR})
+find_package(SFML 2 COMPONENTS network graphics audio REQUIRED)
 
 # add the modules subdirectories
 add_subdirectory(System)

=== src/SFML/Audio/CMakeLists.txt ===
--- 
+++ 
@@ -32,4 +32,4 @@
 # define the csfml-audio target
 csfml_add_library(csfml-audio
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_AUDIO_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_AUDIO_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})
+                  DEPENDS sfml-audio)

=== src/SFML/Graphics/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Graphics)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Graphics)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/BlendMode.cpp
    ${INCROOT}/BlendMode.h
    ${SRCROOT}/CircleShape.cpp
    ${SRCROOT}/CircleShapeStruct.h
    ${INCROOT}/CircleShape.h
    ${SRCROOT}/Color.cpp
    ${INCROOT}/Color.h
    ${SRCROOT}/ConvertRenderStates.hpp
    ${SRCROOT}/ConvertTransform.hpp
    ${SRCROOT}/ConvexShape.cpp
    ${SRCROOT}/ConvexShapeStruct.h
    ${INCROOT}/ConvexShape.h
    ${SRCROOT}/Font.cpp
    ${SRCROOT}/FontStruct.h
    ${INCROOT}/Font.h
    ${INCROOT}/FontInfo.h
    ${INCROOT}/Glyph.h
    ${SRCROOT}/Image.cpp
    ${SRCROOT}/ImageStruct.h
    ${INCROOT}/Image.h
    ${SRCROOT}/Rect.cpp
    ${INCROOT}/Rect.h
    ${SRCROOT}/RectangleShape.cpp
    ${SRCROOT}/RectangleShapeStruct.h
    ${INCROOT}/RectangleShape.h
    ${SRCROOT}/RenderTexture.cpp
    ${SRCROOT}/RenderTextureStruct.h
    ${INCROOT}/RenderTexture.h
    ${SRCROOT}/RenderWindow.cpp
    ${SRCROOT}/RenderWindowStruct.h
    ${INCROOT}/RenderWindow.h
    ${SRCROOT}/Shader.cpp
    ${SRCROOT}/ShaderStruct.h
    ${INCROOT}/Shader.h
    ${SRCROOT}/Shape.cpp
    ${SRCROOT}/ShapeStruct.h
    ${INCROOT}/Shape.h
    ${SRCROOT}/Sprite.cpp
    ${SRCROOT}/SpriteStruct.h
    ${INCROOT}/Sprite.h
    ${SRCROOT}/Text.cpp
    ${SRCROOT}/TextStruct.h
    ${INCROOT}/Text.h
    ${SRCROOT}/Texture.cpp
    ${SRCROOT}/TextureStruct.h
    ${INCROOT}/Texture.h
    ${SRCROOT}/Transform.cpp
    ${INCROOT}/Transform.h
    ${SRCROOT}/Transformable.cpp
    ${SRCROOT}/TransformableStruct.h
    ${INCROOT}/Transformable.h
    ${INCROOT}/Types.h
    ${INCROOT}/Vertex.h
    ${SRCROOT}/VertexArray.cpp
    ${SRCROOT}/VertexArrayStruct.h
    ${INCROOT}/VertexArray.h
    ${INCROOT}/VertexBuffer.h
    ${SRCROOT}/VertexBuffer.cpp
    ${SRCROOT}/VertexBufferStruct.h
    ${SRCROOT}/View.cpp
    ${SRCROOT}/ViewStruct.h
    ${INCROOT}/View.h
)

# define the csfml-graphics target
csfml_add_library(csfml-graphics
                  SOURCES ${SRC}
                  DEPENDS sfml-graphics)

=== src/SFML/Main/CMakeLists.txt ===

# define the csfml-main target
add_library(csfml-main STATIC ${CMAKE_SOURCE_DIR}/src/SFML/Main/SFML_Main.cpp)

# set the debug suffix
set_target_properties(csfml-main PROPERTIES DEBUG_POSTFIX -d)

# insert the major version number in the output filename
set_target_properties(csfml-main PROPERTIES OUTPUT_NAME "csfml-main")

=== src/SFML/Network/CMakeLists.txt ===
--- 
+++ 
@@ -35,4 +35,4 @@
 # define the csfml-network target
 csfml_add_library(csfml-network
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_NETWORK_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_NETWORK_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})
+                  DEPENDS sfml-network)

=== src/SFML/System/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 # all source files
 set(SRC
+    ${CMAKE_SOURCE_DIR}/include/SFML/GPUPreference.h
     ${INCROOT}/Export.h
     ${SRCROOT}/Clock.cpp
     ${SRCROOT}/ClockStruct.h
@@ -27,4 +28,4 @@
 # define the csfml-system target
 csfml_add_library(csfml-system
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_SYSTEM_LIBRARY} ${SFML_SYSTEM_DEPENDENCIES})
+                  DEPENDS sfml-system)

=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,11 @@
 # all source files
 set(SRC
     ${INCROOT}/Export.h
+    ${INCROOT}/Clipboard.h
+    ${SRCROOT}/Clipboard.cpp
+    ${INCROOT}/Cursor.h
+    ${SRCROOT}/Cursor.cpp
+    ${SRCROOT}/CursorStruct.h
     ${SRCROOT}/Context.cpp
     ${SRCROOT}/ContextSettingsInternal.h
     ${SRCROOT}/ContextStruct.h
@@ -33,4 +38,4 @@
 # define the csfml-window target
 csfml_add_library(csfml-window
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_WINDOW_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})
+                  DEPENDS sfml-window)

=== debian/changelog ===
libcsfml (2.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:49 +0100

libcsfml (2.5-1) unstable; urgency=medium

  * New upstream version.
  * Rename all library packages for SONAME bump.
  * Drop patch to allow building on GNU/Hurd.
  * Drop patch to remove commented out googleapi css.

  * d/control:
    - Bump standards version to 4.2.1.
    - Mark libcsfml-doc multi-arch foriegn
  * d/*.symbols: Add new symbols in 2.5.
  * d/libcsfml-doc.doc-base: Fix path to index page.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Nov 2018 17:44:54 +0000

libcsfml (2.4-4) unstable; urgency=medium

  [ James Cowgill ]
  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Use secure Homepage URL.
    - Switch Vcs URLs to salsa.debian.org.
    - Remove Testsuite: autopkgtest field.
    - Set Rules-Requires-Root: no.
    - Bump standards version to 4.1.4.
  * debian/copyright:
    - Update copyright years.
    - Use secure copyright Format URL.
  * debian/libcsfml-doc.docs: Remove debian/tmp/ prefix.
  * debian/libcsfml-doc.doc-base:
    - Fix paths to point to /usr/share/doc/libcsfml-dev.
  * debian/libcsfml-doc.links:
    - Remove jquery symlink.
  * debian/patches:
    - Add patch to use SFML 2.5 CMake config scripts in the build system.
      (Closes: #898913)
  * debian/rules:
    - Use /usr/share/dpkg/architecture.mk to define DEB_HOST_MULTIARCH.
    - Remove now unused CMAKE_MODULE_PATH define from configure override.

  [ Christoph Egger ]
  * Remove myself from uploaders.

 -- James Cowgill <jcowgill@debian.org>  Thu, 17 May 2018 16:57:59 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCSFML_BUILD_DOC=ON

override_dh_auto_build:
	dh_auto_build -- all doc

=== debian/tests/control ===
Tests: build
Depends: gcc, libc-dev, libcsfml-dev

## libcsfml 2.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.7.2)
 
 # define a macro that helps defining an option
 macro(csfml_set_option var default type docstring)
@@ -14,18 +13,10 @@
 csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")
 
 # project name
-project(CSFML)
+project(CSFML VERSION 2.5.2)
 
 # include the configuration file
-include(${CMAKE_SOURCE_DIR}/cmake/Config.cmake)
-
-# setup version numbers
-set(VERSION_MAJOR 2)
-set(VERSION_MINOR 5)
-set(VERSION_PATCH 0)
-
-# add the CSFML header path
-include_directories(${CMAKE_SOURCE_DIR}/include)
+include(${PROJECT_SOURCE_DIR}/cmake/Config.cmake)
 
 # add an option for choosing the build type (shared or static)
 csfml_set_option(BUILD_SHARED_LIBS TRUE BOOL "TRUE to build CSFML as shared libraries, FALSE to build it as static libraries")
@@ -72,5 +63,5 @@
         DESTINATION .
         COMPONENT devel
         PATTERN ".svn" EXCLUDE)
-install(FILES license.txt DESTINATION ${INSTALL_MISC_DIR})
-install(FILES readme.txt DESTINATION ${INSTALL_MISC_DIR})
+install(FILES license.md DESTINATION ${INSTALL_MISC_DIR})
+install(FILES readme.md DESTINATION ${INSTALL_MISC_DIR})

=== src/SFML/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 
 # include the SFML specific macros
-include(${CMAKE_SOURCE_DIR}/cmake/Macros.cmake)
+include(${PROJECT_SOURCE_DIR}/cmake/Macros.cmake)
 
 # add the CSFML sources path
-include_directories(${CMAKE_SOURCE_DIR}/src)
+include_directories(${PROJECT_SOURCE_DIR}/src)
 
 # set the output directory for CSFML libraries
 set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib")
@@ -21,7 +21,7 @@
     set(SFML_STATIC_LIBRARIES TRUE)
     add_definitions(-DSFML_STATIC)
 endif()
-find_package(SFML 2 COMPONENTS network graphics audio REQUIRED)
+find_package(SFML 2.5 COMPONENTS network graphics audio REQUIRED)
 
 # add the modules subdirectories
 add_subdirectory(System)

=== src/SFML/System/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/System)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/System)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/System)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/System)
 
 # all source files
 set(SRC
-    ${CMAKE_SOURCE_DIR}/include/SFML/GPUPreference.h
+    ${PROJECT_SOURCE_DIR}/include/SFML/GPUPreference.h
     ${INCROOT}/Export.h
     ${SRCROOT}/Clock.cpp
     ${SRCROOT}/ClockStruct.h

=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Window)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Window)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Window)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Window)
 
 # all source files
 set(SRC

=== debian/changelog ===
libcsfml (2.5.2-1build1) noble; urgency=medium

  * Rebuild against latest libsfml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:18:04 -0500

libcsfml (2.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix declaration of sfText_getLineSpacing. (LP: #1877632)

  * d/copyright: Update dates.
  * d/control:
    - Use debhelper 13.
    - Drop useless cmake version restriction.
    - Remove dependencies on obsolete GL packages.
    - Bump standards version to 4.6.2.
  * d/patches:
    - Graphics/Texture: Restore sfTexture_setSrgb for ABI compatibility.
  * d/*.symbols: Add new symbols.
  * d/tests: Replace $ADTTMP with $AUTOPKGTEST_TMP.
  * d/upstream: Add upstream metadata file.
  * d/watch: Use version 4

 -- James Cowgill <jcowgill@debian.org>  Thu, 30 Nov 2023 15:56:02 +0000

libcsfml (2.5-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:02:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,30 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Christoph Egger <christoph@debian.org>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
- cmake (>= 2.8.9),
- debhelper (>= 10),
+ cmake,
+ debhelper-compat (= 13),
  doxygen,
- libsfml-dev (>= 2.4)
-Standards-Version: 4.0.0
-Homepage: http://www.sfml-dev.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/libcsfml.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libcsfml.git
-Testsuite: autopkgtest
+ libsfml-dev (>= 2.5)
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://www.sfml-dev.org
+Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
+Vcs-Browser: https://salsa.debian.org/games-team/libcsfml
 
 Package: libcsfml-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libcsfml-audio2.4 (= ${binary:Version}),
- libcsfml-graphics2.4 (= ${binary:Version}),
- libcsfml-network2.4 (= ${binary:Version}),
- libcsfml-system2.4 (= ${binary:Version}),
- libcsfml-window2.4 (= ${binary:Version}),
- libgl1-mesa-dev | libgl-dev,
- libglu1-mesa-dev | libglu-dev,
+ libcsfml-audio2.5 (= ${binary:Version}),
+ libcsfml-graphics2.5 (= ${binary:Version}),
+ libcsfml-network2.5 (= ${binary:Version}),
+ libcsfml-system2.5 (= ${binary:Version}),
+ libcsfml-window2.5 (= ${binary:Version}),
+ libgl-dev,
+ libglu-dev,
  ${misc:Depends}
 Suggests: libcsfml-doc
 Description: Libraries for the C Binding of SFML - Development Files
@@ -43,7 +42,8 @@
 Package: libcsfml-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: Libraries for the C Binding of SFML - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -54,7 +54,7 @@
  .
  This package includes documentation for all CSFML libraries.
 
-Package: libcsfml-audio2.4
+Package: libcsfml-audio2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +70,7 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libcsfml-graphics2.4
+Package: libcsfml-graphics2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +86,7 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libcsfml-system2.4
+Package: libcsfml-system2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +102,7 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling
 
-Package: libcsfml-network2.4
+Package: libcsfml-network2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -117,7 +117,7 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libcsfml-window2.4
+Package: libcsfml-window2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

## libcsfml 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")
 
 # project name
-project(CSFML VERSION 2.5.2)
+project(CSFML VERSION 2.6.0)
 
 # include the configuration file
 include(${PROJECT_SOURCE_DIR}/cmake/Config.cmake)
@@ -58,10 +58,37 @@
     add_subdirectory(doc)
 endif()
 
+# on Linux and BSD-like OS, install pkg-config files by default
+set(CSFML_INSTALL_PKGCONFIG_DEFAULT FALSE)
+
+if(SFML_OS_LINUX OR SFML_OS_FREEBSD OR SFML_OS_OPENBSD OR SFML_OS_NETBSD)
+    set(CSFML_INSTALL_PKGCONFIG_DEFAULT TRUE)
+endif()
+
+csfml_set_option(CSFML_INSTALL_PKGCONFIG_FILES ${CSFML_INSTALL_PKGCONFIG_DEFAULT} BOOL "TRUE to automatically install pkg-config files so other projects can find SFML")
+
+if(CSFML_INSTALL_PKGCONFIG_FILES)
+    csfml_set_option(CSFML_PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CSFML_PKGCONFIG_DIR}" PATH "Install directory for CSFML's pkg-config .pc files")
+
+    foreach(csfml_module IN ITEMS all system window graphics audio network)
+        configure_file(
+            "tools/pkg-config/csfml-${csfml_module}.pc.in"
+            "tools/pkg-config/csfml-${csfml_module}.pc"
+            @ONLY)
+        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tools/pkg-config/csfml-${csfml_module}.pc"
+            DESTINATION "${CSFML_PKGCONFIG_INSTALL_PREFIX}")
+    endforeach()
+endif()
+
 # setup the install rules
-install(DIRECTORY include
-        DESTINATION .
-        COMPONENT devel
-        PATTERN ".svn" EXCLUDE)
+install(DIRECTORY include/
+        DESTINATION include
+        COMPONENT devel)
 install(FILES license.md DESTINATION ${INSTALL_MISC_DIR})
 install(FILES readme.md DESTINATION ${INSTALL_MISC_DIR})
+
+# add an option for building the examples
+csfml_set_option(CSFML_BUILD_EXAMPLES FALSE BOOL "TRUE to build the CSFML examples, FALSE to ignore them")
+if(CSFML_BUILD_EXAMPLES)
+    add_subdirectory(examples)
+endif()

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 find_package(Doxygen REQUIRED)
 
 # set the input and output documentation paths
-set(DOXYGEN_INPUT_DIR ${CMAKE_SOURCE_DIR})
+set(DOXYGEN_INPUT_DIR ${PROJECT_SOURCE_DIR})
 set(DOXYGEN_OUTPUT_DIR ${CMAKE_BINARY_DIR}/doc)
 
 # see if we can generate the CHM documentation

=== examples/CMakeLists.txt ===
set(SRC example.c)

add_executable(example ${SRC})
target_link_libraries(example PRIVATE csfml-graphics csfml-audio)
set_file_warnings(${SRC})

=== src/SFML/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     set(SFML_STATIC_LIBRARIES TRUE)
     add_definitions(-DSFML_STATIC)
 endif()
-find_package(SFML 2.5 COMPONENTS network graphics audio REQUIRED)
+find_package(SFML 2.6 COMPONENTS network graphics audio REQUIRED)
 
 # add the modules subdirectories
 add_subdirectory(System)

=== src/SFML/Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Graphics)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Graphics)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Graphics)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Graphics)
 
 # all source files
 set(SRC
@@ -30,6 +30,7 @@
     ${SRCROOT}/RectangleShape.cpp
     ${SRCROOT}/RectangleShapeStruct.h
     ${INCROOT}/RectangleShape.h
+    ${SRCROOT}/RenderStates.cpp
     ${SRCROOT}/RenderTexture.cpp
     ${SRCROOT}/RenderTextureStruct.h
     ${INCROOT}/RenderTexture.h

=== src/SFML/Main/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # define the csfml-main target
-add_library(csfml-main STATIC ${CMAKE_SOURCE_DIR}/src/SFML/Main/SFML_Main.cpp)
+add_library(csfml-main STATIC ${PROJECT_SOURCE_DIR}/src/SFML/Main/SFML_Main.cpp)
 
 # set the debug suffix
 set_target_properties(csfml-main PROPERTIES DEBUG_POSTFIX -d)

=== src/SFML/System/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 set(SRC
     ${PROJECT_SOURCE_DIR}/include/SFML/GPUPreference.h
     ${INCROOT}/Export.h
+    ${SRCROOT}/Buffer.cpp
+    ${SRCROOT}/BufferStruct.h
+    ${INCROOT}/Buffer.h
     ${SRCROOT}/Clock.cpp
     ${SRCROOT}/ClockStruct.h
     ${INCROOT}/Clock.h

=== debian/changelog ===
libcsfml (2.6.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:53:18 +0000

libcsfml (2.6.0-3) unstable; urgency=medium

  * Source only re-upload.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Mar 2024 19:03:54 +0000

libcsfml (2.6.0-2) unstable; urgency=medium

  * Re-upload with built packages.

 -- James Cowgill <jcowgill@debian.org>  Thu, 29 Feb 2024 01:00:24 +0000

libcsfml (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Rename library packages for SONAME bump.

  * d/control: Add libsfml-dev dependency to libcsfml-dev.
  * d/copyright: Bump debian copyright year.
  * d/libcsfml-dev.install: Install pkg-config files.
  * d/patches: Revert sfTexture_setSrgb ABI compatibility patch.
    Patch not needed with 2.6.
  * d/tests: Add pkg-config tests.

 -- James Cowgill <jcowgill@debian.org>  Wed, 28 Feb 2024 23:49:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libcsfml
 Section: libs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  doxygen,
- libsfml-dev (>= 2.5)
+ libsfml-dev (>= 2.6)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.sfml-dev.org
@@ -20,13 +21,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libcsfml-audio2.5 (= ${binary:Version}),
- libcsfml-graphics2.5 (= ${binary:Version}),
- libcsfml-network2.5 (= ${binary:Version}),
- libcsfml-system2.5 (= ${binary:Version}),
- libcsfml-window2.5 (= ${binary:Version}),
+ libcsfml-audio2.6 (= ${binary:Version}),
+ libcsfml-graphics2.6 (= ${binary:Version}),
+ libcsfml-network2.6 (= ${binary:Version}),
+ libcsfml-system2.6 (= ${binary:Version}),
+ libcsfml-window2.6 (= ${binary:Version}),
  libgl-dev,
  libglu-dev,
+ libsfml-dev (>= 2.6),
  ${misc:Depends}
 Suggests: libcsfml-doc
 Description: Libraries for the C Binding of SFML - Development Files
@@ -54,7 +56,7 @@
  .
  This package includes documentation for all CSFML libraries.
 
-Package: libcsfml-audio2.5
+Package: libcsfml-audio2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +72,7 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libcsfml-graphics2.5
+Package: libcsfml-graphics2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +88,7 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libcsfml-system2.5
+Package: libcsfml-system2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +104,7 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling
 
-Package: libcsfml-network2.5
+Package: libcsfml-network2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -117,7 +119,7 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libcsfml-window2.5
+Package: libcsfml-window2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
# See uscan(1) for format
version=4

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/CSFML-$1.tar.gz/ \
  https://github.com/SFML/CSFML/tags .*/v?(\d\S*)\.tar\.gz

## libcsfml 2.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,21 @@
 csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")
 
 # project name
-project(CSFML VERSION 2.6.0)
+project(CSFML VERSION 2.6.1)
+
+# we use the paths from the cmake GNUInstallDirs module as defaults
+# you can override these if you like
+# https://cmake.org/cmake/help/latest/module/GNUInstallDirs.html
+include(GNUInstallDirs)
 
 # include the configuration file
 include(${PROJECT_SOURCE_DIR}/cmake/Config.cmake)
+
+# add options to select which modules to build
+csfml_set_option(CSFML_BUILD_WINDOW TRUE BOOL "TRUE to build CSFML's Window module. This setting is ignored, if the graphics module is built.")
+csfml_set_option(CSFML_BUILD_GRAPHICS TRUE BOOL "TRUE to build CSFML's Graphics module.")
+csfml_set_option(CSFML_BUILD_AUDIO TRUE BOOL "TRUE to build CSFML's Audio module.")
+csfml_set_option(CSFML_BUILD_NETWORK TRUE BOOL "TRUE to build CSFML's Network module.")
 
 # add an option for choosing the build type (shared or static)
 csfml_set_option(BUILD_SHARED_LIBS TRUE BOOL "TRUE to build CSFML as shared libraries, FALSE to build it as static libraries")
@@ -68,7 +79,7 @@
 csfml_set_option(CSFML_INSTALL_PKGCONFIG_FILES ${CSFML_INSTALL_PKGCONFIG_DEFAULT} BOOL "TRUE to automatically install pkg-config files so other projects can find SFML")
 
 if(CSFML_INSTALL_PKGCONFIG_FILES)
-    csfml_set_option(CSFML_PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CSFML_PKGCONFIG_DIR}" PATH "Install directory for CSFML's pkg-config .pc files")
+    csfml_set_option(CSFML_PKGCONFIG_INSTALL_DIR "${CSFML_PKGCONFIG_DIR}" PATH "Install directory for CSFML's pkg-config .pc files")
 
     foreach(csfml_module IN ITEMS all system window graphics audio network)
         configure_file(
@@ -76,7 +87,7 @@
             "tools/pkg-config/csfml-${csfml_module}.pc"
             @ONLY)
         install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tools/pkg-config/csfml-${csfml_module}.pc"
-            DESTINATION "${CSFML_PKGCONFIG_INSTALL_PREFIX}")
+            DESTINATION "${CSFML_PKGCONFIG_INSTALL_DIR}")
     endforeach()
 endif()

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,12 @@
                  PATHS "C:/Program Files/HTML Help Workshop" "C:/Program Files (x86)/HTML Help Workshop"
                  DOC "HTML Help Compiler program")
     if(DOXYGEN_HHC_PROGRAM)
-        set(DOXYGEN_GENERATE_HTMLHELP YES)
+        if(DOXYGEN_VERSION VERSION_LESS "1.10.0")
+            set(DOXYGEN_GENERATE_HTMLHELP YES)
+        else()
+            message("Due to conflicts with the HTML output settings in Doxygen ${DOXYGEN_VERSION}, the HTML Help generation will be disabled")
+            set(DOXYGEN_GENERATE_HTMLHELP NO)
+        endif()
     else()
         set(DOXYGEN_GENERATE_HTMLHELP NO)
     endif()
@@ -26,9 +31,11 @@
 # configure the source Doxyfile by copying it and replacing all @variables@
 set(DOXYGEN_CONFIGURED_INPUT ${DOXYGEN_OUTPUT_DIR}/doxyfile)
 configure_file(${DOXYGEN_INPUT_DIR}/doc/doxyfile.in ${DOXYGEN_CONFIGURED_INPUT} @ONLY)
+configure_file(${DOXYGEN_INPUT_DIR}/doc/header.html.in ${DOXYGEN_OUTPUT_DIR}/header.html @ONLY)
 
 # copy the files needed by the documentation
 configure_file(${DOXYGEN_INPUT_DIR}/doc/doxygen.css ${DOXYGEN_OUTPUT_DIR}/html/doxygen.css COPYONLY)
+configure_file(${DOXYGEN_INPUT_DIR}/doc/searchOverrides.css ${DOXYGEN_OUTPUT_DIR}/html/searchOverrides.css COPYONLY)
 
 # target setup
 add_custom_target(doc ALL

=== src/SFML/CMakeLists.txt ===
--- 
+++ 
@@ -21,14 +21,40 @@
     set(SFML_STATIC_LIBRARIES TRUE)
     add_definitions(-DSFML_STATIC)
 endif()
-find_package(SFML 2.6 COMPONENTS network graphics audio REQUIRED)
+set(SFML_MODULES "system")
+if(CSFML_BUILD_AUDIO)
+    list(PREPEND SFML_MODULES "audio")
+endif()
+if(CSFML_BUILD_GRAPHICS)
+    list(PREPEND SFML_MODULES "graphics")
+endif()
+if(CSFML_BUILD_WINDOW)
+    list(PREPEND SFML_MODULES "window")
+endif()
+if(CSFML_BUILD_NETWORK)
+    list(PREPEND SFML_MODULES "network")
+endif()
+find_package(SFML 2.6 COMPONENTS ${SFML_MODULES} REQUIRED)
 
 # add the modules subdirectories
 add_subdirectory(System)
-add_subdirectory(Window)
-add_subdirectory(Network)
-add_subdirectory(Graphics)
-add_subdirectory(Audio)
+
+if(CSFML_BUILD_WINDOW OR CSFML_BUILD_GRAPHICS)
+    add_subdirectory(Window)
+endif()
+
+if(CSFML_BUILD_NETWORK)
+    add_subdirectory(Network)
+endif()
+
+if(CSFML_BUILD_GRAPHICS)
+    add_subdirectory(Graphics)
+endif()
+
+if(CSFML_BUILD_AUDIO)
+    add_subdirectory(Audio)
+endif()
+
 if(SFML_OS_WINDOWS)
     add_subdirectory(Main)
 endif()

=== src/SFML/Audio/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Audio)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Audio)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Audio)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Audio)
 
 # all source files
 set(SRC

=== src/SFML/Network/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Network)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Network)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Network)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Network)
 
 # all source files
 set(SRC

=== src/SFML/System/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 set(SRC
     ${PROJECT_SOURCE_DIR}/include/SFML/GPUPreference.h
     ${INCROOT}/Export.h
+    ${SRCROOT}/Alloc.cpp
+    ${INCROOT}/Alloc.h
     ${SRCROOT}/Buffer.cpp
     ${SRCROOT}/BufferStruct.h
     ${INCROOT}/Buffer.h

=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,14 @@
     ${INCROOT}/Types.h
     ${SRCROOT}/VideoMode.cpp
     ${INCROOT}/VideoMode.h
+    ${SRCROOT}/Vulkan.cpp
+    ${INCROOT}/Vulkan.h
     ${SRCROOT}/Window.cpp
+    ${SRCROOT}/WindowBase.cpp
     ${SRCROOT}/WindowStruct.h
+    ${SRCROOT}/WindowBaseStruct.h
     ${INCROOT}/Window.h
+    ${INCROOT}/WindowBase.h
     ${INCROOT}/WindowHandle.h
 )

=== debian/changelog ===
libcsfml (2.6.1-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump standards version.
  * d/*.symbols: Add new symbols.

 -- James Cowgill <jcowgill@debian.org>  Fri, 09 Aug 2024 19:07:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libcsfml
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
@@ -11,7 +10,7 @@
  doxygen,
  libsfml-dev (>= 2.6)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.sfml-dev.org
 Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libcsfml

=== debian/tests/control ===
Tests: build
Depends: gcc, libc-dev, libcsfml-dev, pkg-config
